<?php

namespace Diamond\Application\Mailing;

interface RecipientsHandlerInterface
{

    public function getName(): string;

    public function getMails(): array;

    public function getDataFromEmail(string $email): array;

    public function getVariables(): array;
}